## filesink filesink — write stream to a file |

## Synopsis

                        GstFileSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstFileSink

## Implemented Interfaces

GstFileSink implements GstURIHandler.

## Properties

      "location"                 gchararray            : Read / Write

## Description

Write incoming data to a file in the local file system.

### Element Information

plugin | coreelements
author | Thomas <thomas@apestaart.org>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstFileSink

    typedef struct _GstFileSink GstFileSink;

Opaque GstFileSink structure.

## Property Details

### The "`location`" property

      "location"                 gchararray            : Read / Write

Location of the file to write.

Default value: NULL

## See Also

GstFileSrc